Change the hyperlink for file attachment to view and download
Status: Closed Start date: 2010-02-09
Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Current hyperlink for file attachment can cause confusion to some user. They assume the link point to the file and use browser's

"Save Link As" on it and not getting what user is expecting.

It will be better for each of the file attachment to display 2 links right away called "View" and "Download" that goes to the appropriate

controller.

Related issues:

Has duplicate Redmine - Feature #8176: TXT attachment download Closed 2011-04-18

Associated revisions

Revision 8645 - 2012-01-14 16:55 - Jean-Philippe Lang

Change attachment link to download and add a view link for text attachments (#4774).

Revision 9326 - 2012-04-06 07:44 - Toshi MARUYAMA

add a view link to note attachment file (#4774)

Revision 9333 - 2012-04-06 11:20 - Jean-Philippe Lang

Do not display the magnifier for added files in email notifications (#4774).

History

#1 - 2010-02-09 05:31 - Ewan Makepeace

I think this has different behaviour for text files and other types (which makes it even worse!) - text files link to a formatted view of the file contents

(HTML) while other types link to the file itself?

Inconsistency leads to mistakes...

#2 - 2011-04-18 15:43 - Etienne Massip

- Target version set to Candidate for next major release

Agreed, I'm doing the same mistake each time too.

#3 - 2011-04-18 16:00 - Cassiano Monteiro

Please refer to feature #8176 for sample TXT files.

#4 - 2012-01-14 16:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.4.0

- Resolution set to Fixed

Attachment links changed so that they download the file. A link to view the file is added for text files.

#5 - 2012-04-06 09:59 - Etienne Massip

- Status changed from Closed to Reopened
https://www.redmine.org/issues/8176


Reopened to get sure that r9326 behaves finely with email notifications?

#6 - 2012-04-06 11:22 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Etienne Massip wrote:

Reopened to get sure that r9326 behaves finely with email notifications?

 It doesn't since image_tag use path only. It's removed in email notifications in r9333.
